org.apache.ignite.internal.visor.query

## Class VisorQueryTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorQueryTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorQueryTaskArg
    extends VisorDataTransferObject

Arguments for `VisorQueryTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryTaskArg()` Default constructor.
`VisorQueryTaskArg(String cacheName, String qryTxt, boolean distributedJoins, boolean enforceJoinOrder, boolean replicatedOnly, boolean loc, int pageSize)`
`VisorQueryTaskArg(String cacheName, String qryTxt, boolean distributedJoins, boolean enforceJoinOrder, boolean replicatedOnly, boolean loc, int pageSize, boolean lazy)`
`VisorQueryTaskArg(String cacheName, String qryTxt, boolean distributedJoins, boolean enforceJoinOrder, boolean replicatedOnly, boolean loc, int pageSize, boolean lazy, boolean collocated)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCacheName()`
`boolean` `getLazy()` Lazy query execution flag.
`int` `getPageSize()`
`byte` `getProtocolVersion()`
`String` `getQueryText()`
`boolean` `isCollocated()` Flag indicating if this query is collocated.
`boolean` `isDistributedJoins()`
`boolean` `isEnforceJoinOrder()`
`boolean` `isLocal()`
`boolean` `isReplicatedOnly()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryTaskArg

    public VisorQueryTaskArg()

Default constructor.

#### VisorQueryTaskArg

    public VisorQueryTaskArg(String cacheName,
                             String qryTxt,
                             boolean distributedJoins,
                             boolean enforceJoinOrder,
                             boolean replicatedOnly,
                             boolean loc,
                             int pageSize)

Parameters:
  `cacheName` - Cache name for query.
  `qryTxt` - Query text.
  `distributedJoins` - If `true` then distributed joins enabled.
  `enforceJoinOrder` - If `true` then enforce join order.
  `replicatedOnly` - `true` then query contains only replicated tables.
  `loc` - Flag whether to execute query locally.
  `pageSize` - Result batch size.

#### VisorQueryTaskArg

    public VisorQueryTaskArg(String cacheName,
                             String qryTxt,
                             boolean distributedJoins,
                             boolean enforceJoinOrder,
                             boolean replicatedOnly,
                             boolean loc,
                             int pageSize,
                             boolean lazy)

Parameters:
  `cacheName` - Cache name for query.
  `qryTxt` - Query text.
  `distributedJoins` - If `true` then distributed joins enabled.
  `enforceJoinOrder` - If `true` then enforce join order.
  `replicatedOnly` - `true` then query contains only replicated tables.
  `loc` - Flag whether to execute query locally.
  `pageSize` - Result batch size.
  `lazy` - Lazy query execution flag.

#### VisorQueryTaskArg

    public VisorQueryTaskArg(String cacheName,
                             String qryTxt,
                             boolean distributedJoins,
                             boolean enforceJoinOrder,
                             boolean replicatedOnly,
                             boolean loc,
                             int pageSize,
                             boolean lazy,
                             boolean collocated)

Parameters:
  `cacheName` - Cache name for query.
  `qryTxt` - Query text.
  `distributedJoins` - If `true` then distributed joins enabled.
  `enforceJoinOrder` - If `true` then enforce join order.
  `replicatedOnly` - `true` then query contains only replicated tables.
  `loc` - Flag whether to execute query locally.
  `pageSize` - Result batch size.
  `lazy` - Lazy query execution flag.
  `collocated` - Collocation flag.

### Method Detail

#### getCacheName

    public String getCacheName()

Returns:
  Cache name.

#### getQueryText

    public String getQueryText()

Returns:
  Query txt.

#### isDistributedJoins

    public boolean isDistributedJoins()

Returns:
  Distributed joins enabled flag.

#### isEnforceJoinOrder

    public boolean isEnforceJoinOrder()

Returns:
  Enforce join order flag.

#### isReplicatedOnly

    public boolean isReplicatedOnly()

Returns:
  `true` If the query contains only replicated tables.

#### isLocal

    public boolean isLocal()

Returns:
  `true` If query should be executed locally.

#### getPageSize

    public int getPageSize()

Returns:
  Page size.

#### getLazy

    public boolean getLazy()

Lazy query execution flag.

Returns:
  Lazy flag.

#### isCollocated

    public boolean isCollocated()

Flag indicating if this query is collocated.

Returns:
  `true` If the query is collocated.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020